Subject: Re: bug#22172: 25.1.50; Wishlist: There should be a way to say to Emacs that is should rescale all images with a certain factor

From: Michael Heerdegen <[email-masked]>
Date: Fri, 19 Feb 2016 12:51:46 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Sorry, I was confused.

I'm too, now:

> image-map defines +/-/r/o.

What does "r" stand for?

> Of those, the only collision with shr-map is o.  I think we can move
> o out of the way in shr-map and leave it there in image-map.
>
> So I think we could just keep all those key bindings...  +/- feels
> really intuitive to me.

What's your final decision, now?

> > z and Z would also make sense and would even be free everywhere (z from
> > "zoom").
> >
> > We could also use s [+ | -] ...  similar to `text-scale-mode', and s
> > s to set scale factor directly.
>
> I'm not sure users would really want to set the scale like that...
> Increase/decrease is natural, but "set the scale to 50%" would be a very
> unusual user interaction, I think.

Sure.  I just wanted to rebind the old binding of s in image-mode that
did exactly that.

Michael.